=== src/tools/CMakeLists.txt ===
add_subdirectory(split-plasma-svgs)
