## kf6-ksvg 6.3.1

=== debian/changelog ===
kf6-ksvg (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 17:28:23 +0200

kf6-ksvg (6.3.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop useless dependency on the ${shlibs:Depends} variable for the -dev
    package.
  * Fix Vcs-Git URLs.

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:58:32 +0200

kf6-ksvg (6.0.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Initial release (Closes: #1068518).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 May 2024 21:24:13 +0200
