=== debian/control ===
Source: kf6-ksvg
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ksvg
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
Rules-Requires-Root: no

Package: libkf6svg-dev
Section: libdevel
Architecture: any
Depends: libkf6svg6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6svg-doc (= ${source:Version}),
Description: library for rendering SVG-based themes - development files
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the development files for the Qt6 version of KSvg.

Package: libkf6svg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for rendering SVG-based themes - documentation
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the qch documentation for the Qt6 version of KSvg.

Package: libkf6svg6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for rendering SVG-based themes
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the Qt6 version the shared library.

Package: qml6-module-org-kde-ksvg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for rendering SVG-based themes - QML module
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the Qt6 version of the QtQuick QML module.
