## kf6-ksvg 6.14.0

=== debian/changelog ===
kf6-ksvg (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:10 +0100
